Package Details: rustrover-eap-jre 2024.1.4-1

Git Clone URL: https://aur.archlinux.org/rustrover-eap.git (read-only, click to copy)
Package Base: rustrover-eap
Description: JBR (JetBrains Runtime) for RustRover (EAP) - a patched JRE
Upstream URL: https://github.com/JetBrains/JetBrainsRuntime
Keywords: ide jetbrains
Licenses: GPL2
Submitter: phnx47
Maintainer: intelfx
Last Packager: intelfx
Votes: 7
Popularity: 0.40
First Submitted: 2023-09-13 16:29 (UTC)
Last Updated: 2024-07-14 23:17 (UTC)

Latest Comments

intelfx commented on 2024-06-28 11:26 (UTC) (edited on 2024-06-28 11:28 (UTC) by intelfx)

@navarroaxel

if you are using the stable release version as package version how are you gonna track all the EAP versions for 2024.2?

Would you please actually take a look at the PKGBUILD instead of submitting bogus complaints? A 2024.2 EAP build 1.2.3 would result in a pkgver of 2024.2pre+1.2.3, which would compare after 2024.1.x but before 2024.2:

$ vercmp 2024.1.2 2024.2pre+1.2.3
-1

$ vercmp 2024.2pre+1.2.3 2024.2
-1

you broken my app to check outdated JB packages with this change

Fix your app, then.

navarroaxel commented on 2024-06-25 11:15 (UTC)

if you are using the stable release version as package version how are you gonna track all the EAP versions for 2024.2? are you going to using epoch every time switching between build number and version number? you broken my app to check outdated JB packages with this change.

phnx47 commented on 2024-06-21 11:47 (UTC)

The Early Access Program is currently closed because RustRover has been released.

https://www.jetbrains.com/rust/nextversion/

Ashark commented on 2024-05-04 07:18 (UTC)

Thanks!

phnx47 commented on 2024-05-04 07:16 (UTC)

@Ashark I updated the desktop file. Thanks!

Ashark commented on 2024-05-03 20:32 (UTC)

Please fix the value in desktop file:

StartupWMClass=jetbrains-rustrover

I guess you made the desktop file manually. You can see the correct desktop file example with the generated one: from main menu: Tools | Create Desktop Entry.

The correct StartupWMClass is needed for jetbrains runner (plasma6-runners-jetbrains-runner-git) to recognize the IDE.

phnx47 commented on 2023-10-06 07:25 (UTC) (edited on 2023-10-06 08:36 (UTC) by phnx47)

Here rustrover maintained by freswa(Trusted User).